Package org.eclipse.handly.ui.preference

## Class StringPreference

- java.lang.Object
- - org.eclipse.handly.ui.preference.AbstractPreference
  - - org.eclipse.handly.ui.preference.StringPreference

- All Implemented Interfaces:
    `IPreference`, `IStringPreference`

      public class StringPreference
      extends AbstractPreference
      implements IStringPreference

  Implements a string-valued preference. The preference is stored in an `IPreferenceStore`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringPreference​(java.lang.String name, org.eclipse.jface.preference.IPreferenceStore store)` | Creates a new string-valued preference with the given name and the given store.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValue()` | Returns the current value of this preference.
    `void` | `setDefault​(java.lang.String value)` | Sets the default value for this preference.
    `void` | `setValue​(java.lang.String value)` | Sets the current value of this preference.

    - ### Methods inherited from class org.eclipse.handly.ui.preference.AbstractPreference

      `addListener, getName, getStore, isDefault, removeListener, setToDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.handly.ui.preference.IPreference

      `addListener, removeListener`

- - ### Constructor Detail

    - #### StringPreference

          public StringPreference​(java.lang.String name,
                                  org.eclipse.jface.preference.IPreferenceStore store)

      Creates a new string-valued preference with the given name and the given store.
      Parameters:
        `name` - the preference name (not `null`)
        `store` - the preference store (not `null`)

  - ### Method Detail

    - #### getValue

          public final java.lang.String getValue()

      Description copied from interface: `IStringPreference`
      Returns the current value of this preference.
      Specified by:
        `getValue` in interface `IStringPreference`
      Returns:
        the current value of this preference

    - #### setValue

          public final void setValue​(java.lang.String value)

      Description copied from interface: `IStringPreference`
      Sets the current value of this preference.

      A preference change event is reported if the current value of the preference actually changes from its previous value.

      Specified by:
        `setValue` in interface `IStringPreference`
      Parameters:
        `value` - the new current value of this preference

    - #### setDefault

          public final void setDefault​(java.lang.String value)

      Sets the default value for this preference.

      Note that if the preference's current value equals the old default value, the current value changes to the new default value. No preference change events are reported by changing default values.

      Parameters:
        `value` - the new default value for this preference